# talKZ - (Kalfa and Zack)'s talk implementation
# Copyright (C) 2002:
# 	Cosimo Alfarano      <kalfa@cs.unibo.it>
# 	Stefano Zacchiroli   <zack@cs.unibo.it>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


from os import getpid


class Debugger:

    def __init__(self, fname="TALKZ.LOG", append=False, logpid=True):
        self.__fname = fname
        if append:
            mode = 'a'
        else:
            mode = 'w'
        self.__logpid = logpid
        self.__file = open(self.__fname, mode)

    def __del__(self):
        self.__file.close()

    def log(self, string):
        if self.__logpid:
            string = ("[%d] " % getpid()) + string
        self.__file.write(string + "\n")
        self.__file.flush()

